Subject: bug#17804: closed (Re: bug#17804: RFC: fixing the 32-bit size and time limits in gzip file format)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 16 Dec 2021 02:34:02 +0000

Your bug report

#17804: RFC: fixing the 32-bit size and time limits in gzip file format

which was filed against the gzip package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
17804: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=17804
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#17804: RFC: fixing the 32-bit size and time limits in gzip file format
From: Paul Eggert <[email-masked]>
To: Petr Stodůlka <[email-masked]>
Cc: [email-masked]
Date: Wed, 15 Dec 2021 18:33:12 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

On 6/18/14 15:12, Paul Eggert wrote:
> One simple way forward would be to implement what pigz -tl does, namely, 
> decompress the input stream and discard the output, but print its size.

I finally got around to implementing that suggestion:

https://git.savannah.gnu.org/cgit/gzip.git/commit/?id=cf26200380585019e927fe3cf5c0ecb7c8b3ef14
https://git.savannah.gnu.org/cgit/gzip.git/commit/?id=32fef43b442c7abc70414863d64718cd06f6477a

So I am closing this old bug report.

Subject: RFC: fixing the 32-bit size and time limits in gzip file format
From: Petr Stodůlka <[email-masked]>
To: [email-masked]
Date: Wed, 18 Jun 2014 15:44:12 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi all,
I would like to open this topic again, which was discussed few years ago [0]
and was not quite struck. Are there any news/plans?

Petr

[0] http://lists.gnu.org/archive/html/bug-gzip/2010-08/msg00009.html